https://github.com/openzfs/zfs/commit/07f2793e869196fcbcd5057d9ada377674262fe3
https://bugs.gentoo.org/857228

From: Brian Behlendorf <behlendorf1@llnl.gov>
Date: Wed, 29 Jun 2022 15:33:38 -0700
Subject: [PATCH] dracut: fix typo in mount-zfs.sh.in
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Format the `zpool get` command correctly.  The -o option must
be followed by "all" or the requested field name.

Reviewed-by: Ahelenia Ziemiańska <nabijaczleweli@nabijaczleweli.xyz>
Reviewed-by: George Melikov <mail@gmelikov.ru>
Signed-off-by: Brian Behlendorf <behlendorf1@llnl.gov>
Closes #13602
--- a/contrib/dracut/90zfs/mount-zfs.sh.in
+++ b/contrib/dracut/90zfs/mount-zfs.sh.in
@@ -82,7 +82,7 @@ ZFS_DATASET="${ZFS_DATASET:-${root}}"
 ZFS_POOL="${ZFS_DATASET%%/*}"
 
 
-if ! zpool get -Ho name "${ZFS_POOL}" > /dev/null 2>&1; then
+if ! zpool get -Ho value name "${ZFS_POOL}" > /dev/null 2>&1; then
     info "ZFS: Importing pool ${ZFS_POOL}..."
     # shellcheck disable=SC2086
     if ! zpool import -N ${ZPOOL_IMPORT_OPTS} "${ZFS_POOL}"; then

